# Records API: Achievements

## GET /api/records/achievements/{achievement}

> Retrieves one specific achievement

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/records/achievements/{achievement}":{"get":{"tags":["Records API: Achievements"],"summary":"Retrieves one specific achievement","operationId":"retrieveAchievement","parameters":[{"name":"achievement","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/records/achievements/{achievement}

> Checks for the existence of one specific achievement

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/records/achievements/{achievement}":{"head":{"tags":["Records API: Achievements"],"summary":"Checks for the existence of one specific achievement","operationId":"assertAchievement","parameters":[{"name":"achievement","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/records/achievements/collect

> Collects the list of achievements that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectAchievements":{"type":"object","properties":{"AchievementTitle":{"type":"string","nullable":true},"ExpirationFixedDateSince":{"type":"string","format":"date-time","nullable":true},"ExpirationFixedDateBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"AchievementModel":{"type":"object","properties":{"AchievementId":{"type":"string","format":"uuid"},"AchievementAllowSelfDeclared":{"type":"boolean"},"AchievementIsEnabled":{"type":"boolean"},"AchievementReportingDisabled":{"type":"boolean"},"HasBadgeImage":{"type":"boolean","nullable":true},"AchievementDescription":{"type":"string","nullable":true},"AchievementLabel":{"type":"string","nullable":true},"AchievementTitle":{"type":"string","nullable":true},"AchievementType":{"type":"string","nullable":true},"BadgeImageUrl":{"type":"string","nullable":true},"CertificateLayoutCode":{"type":"string","nullable":true},"ExpirationLifetimeUnit":{"type":"string","nullable":true},"ExpirationType":{"type":"string","nullable":true},"ExpirationLifetimeQuantity":{"type":"integer","format":"int32","nullable":true},"ExpirationFixedDate":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/records/achievements/collect":{"post":{"tags":["Records API: Achievements"],"summary":"Collects the list of achievements that match specific criteria","operationId":"collectAchievements","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AchievementModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AchievementModel"}}}}}}}}}}
```

## POST /api/records/achievements/count

> Counts the achievements that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountAchievements":{"type":"object","properties":{"AchievementTitle":{"type":"string","nullable":true},"ExpirationFixedDateSince":{"type":"string","format":"date-time","nullable":true},"ExpirationFixedDateBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/records/achievements/count":{"post":{"tags":["Records API: Achievements"],"summary":"Counts the achievements that match specific criteria","operationId":"countAchievements","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountAchievements"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountAchievements"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountAchievements"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountAchievements"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/records/achievements/download

> Downloads the list of achievements that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectAchievements":{"type":"object","properties":{"AchievementTitle":{"type":"string","nullable":true},"ExpirationFixedDateSince":{"type":"string","format":"date-time","nullable":true},"ExpirationFixedDateBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/records/achievements/download":{"post":{"tags":["Records API: Achievements"],"summary":"Downloads the list of achievements that match specific criteria","operationId":"downloadAchievements","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectAchievements"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/records/achievements/search

> Searches for the list of achievements that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchAchievements":{"type":"object","properties":{"AchievementTitle":{"type":"string","nullable":true},"ExpirationFixedDateSince":{"type":"string","format":"date-time","nullable":true},"ExpirationFixedDateBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"AchievementMatch":{"type":"object","properties":{"AchievementId":{"type":"string","format":"uuid"},"AchievementTitle":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/records/achievements/search":{"post":{"tags":["Records API: Achievements"],"summary":"Searches for the list of achievements that match specific criteria","operationId":"searchAchievements","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchAchievements"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchAchievements"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchAchievements"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchAchievements"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AchievementMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AchievementMatch"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/records-api-achievements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
